LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Laptop and Netbook (http://www.linuxquestions.org/questions/linux-laptop-and-netbook-25/)
-   -   Thinkpad T500 with ATI Mobility Radeon 3650; no fglrx drivers (http://www.linuxquestions.org/questions/linux-laptop-and-netbook-25/thinkpad-t500-with-ati-mobility-radeon-3650%3B-no-fglrx-drivers-701459/)

kramtoad 02-01-2009 01:34 PM

Thinkpad T500 with ATI Mobility Radeon 3650; no fglrx drivers
 
I bought a Thinkpad T500 with ATI Mobility Radeon 3650 video.

Nice machine, Ubuntu 8.10 runs well.

I have installed the fglrx drivers but when entering the command:

aticonfig --initial -f

I get the message:

No supported adapters detected.

Sigh.

After lots of searching I could find no clear statement that the Mobility Radeon 3650 is supported.

Anyone have any insight into this?

Thanks!

-Erik

markush 02-02-2009 05:36 AM

Hello kramtoad,

before running the aticonfig script you have to install the driver: https://a248.e.akamai.net/f/674/9206...x86.x86_64.run
Load this down, run it (you may say "yes" on every question) and then run aticonfig like you described in your post.

Markus

kramtoad 02-02-2009 05:57 PM

That's exactly what I did. The installer reported success.

Ran it again.

Same problem. CCC says there is a problem but doesn't specify what the problem is.

I'm thinking this card is not supported by ATI. The Ubuntu restricted driver package does not have ATI Mobility Radeon 3650 listed as a supported package.

-Erik

markush 02-03-2009 02:50 AM

Hello,

please post the errormessages in /usr/share/ati/fglrx-install.log
I've found a thread with this ati card here: http://www.linuxquestions.org/questi...-fglrx-669163/

Markus

kramtoad 02-03-2009 06:28 AM

Looks like the install ran fine:


cat /usr/share/ati/fglrx-install.log

Creating symlink /var/lib/dkms/fglrx/8.573/source ->
/usr/src/fglrx-8.573

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
pushd /var/lib/dkms/fglrx/8.573/build; sh make.sh --nohints; popd......
cleaning build area....

DKMS: build Completed.
Running module version sanity check.

fglrx.ko:
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.27-11-generic/updates/dkms/

depmod....

DKMS: install Completed.

markush 02-03-2009 12:36 PM

Hi kramtoad,

what does lspci say about your graphics adapter?

Markus

kramtoad 02-04-2009 03:31 PM

01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650

So, at least it's there, I was beginning to have doubts.


I'm reinstalling XP and Ubuntu which will take a couple days. Will keep looking around the net for clues.

-E

kramtoad 02-08-2009 02:53 PM

New install, got the drivers, installed. no luck getting them to run. The machines complains about no drivers and asks to automagicaly fix the problem, it's fix doesn't help.

I think I'll just wait a while, maybe updated drivers will appear sometime soon.

Thanks for the help.

-Erik

kramtoad 02-09-2009 04:49 PM

hmmm.... now the drivers work.


while putting off going to bed last night I was poking around the Ubuntu system menu and found "hardware drivers". going there results in the question "do you want to enable ati drivers" choosing yes results in working ati drivers. lots of flickering to black during video playback but at least it's progress.

-E

mipia 03-30-2009 11:51 PM

Thats great to hear at least that it's working somewhat. I could not even get the 8.10 live cd to even boot. I got a black screen on my computer (a laptop Acer 6530). I did get Opensuse 11.1 to work without 3d but had to let it go after too many YAST problems.

Once this card gets full on 3d support I'm back in the game for good without a doubt.


All times are GMT -5. The time now is 03:56 PM.